<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__bsp__settings" kind="group">
    <compoundname>group_bsp_settings</compoundname>
    <title>BSP Settings</title>
    <briefdescription>
<para>Peripheral Default HAL Settings: <verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Resource  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Parameter  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Value  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Remarks   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td rowspan="4"&gt;&lt;p&gt;ADC  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;VREF  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1.2 V  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Measurement type  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Single Ended  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Input voltage range  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 to 2.4 V (0 to 2*VREF)  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Output range  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x000 to 0x7FF  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td rowspan="4"&gt;&lt;p&gt;DAC  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Reference source  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;VDDA  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Input range  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x000 to 0xFFF  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Output range  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 to VDDA  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Output type  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Unbuffered output  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td rowspan="3"&gt;&lt;p&gt;I2C  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Role  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Master  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Configurable to slave mode through HAL function   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Data rate  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;100 kbps  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Configurable through HAL function   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Drive mode of SCL &amp;amp; SDA pins  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Open Drain (drives low)  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;External pull-up resistors are required   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;LpTimer  &lt;/p&gt;&lt;/td&gt;&lt;td colspan="3"&gt;&lt;p&gt;Uses WCO (32.768 kHz) as clock source &amp;amp; MCWDT as counter; 1 count = 1/32768 second or 32768 counts = 1 second   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td rowspan="2"&gt;&lt;p&gt;SPI  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Data rate  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;100 kpbs  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Configurable through HAL function   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Slave select polarity  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Active low  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td rowspan="3"&gt;&lt;p&gt;UART  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Flow control  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;No flow control  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Configurable through HAL function   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Data format  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;8N1  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Configurable through HAL function   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Baud rate  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;115200  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Configurable through HAL function   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;OPAMP,COMP  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Pin (P9_3)  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Always 0 V  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;R131 is not soldered by default   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;LPCOMP  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Pins (P8_2, P8_3)  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Always 0 V  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;R103, R99 are not soldered by default   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>